Package pygccxml :: Package parser :: Module declarations_cache

# Module declarations_cache

source code

Classes
cache_base_t
record_t
file_cache_t Cache implementation to store data in a pickled form in a file.
dummy_cache_t

Functions

file_signature(filename) | source code

configuration_signature(config) Return a signature for a configuration (config_t) object. | source code

Function Details

### configuration_signature(config)

source code

Return a signature for a configuration (config_t) object. This can then be used as a key in the cache. This method must take into account anything about a configuration that could cause the declarations generated to be different between runs.